Bug 1464448 - [ceph-container] : dmcrypt + collocated OSD : containers are not getting created after node reboot
[ceph-container] : dmcrypt + collocated OSD : containers are not getting crea...
Status: ASSIGNED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Container (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 2.5
Assigned To: leseb
Anoop
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 08:40 EDT by Vasishta
Modified: 2017-07-07 13:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contains Log snippet, process list, services list (17.36 KB, text/x-vhdl)
2017-06-23 08:40 EDT, Vasishta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph/ceph-ansible/pull/1627 None None None 2017-06-29 11:39 EDT

  None (edit)
Description Vasishta 2017-06-23 08:40:56 EDT
Created attachment 1291042 [details]
Contains Log snippet, process list, services list

Description of problem:
Containers are not getting created after node reboot in case of dmcrypt + collocated OSD scenario.


Version-Release number of selected component (if applicable):
ceph version 10.2.7-27.el7cp
container image tag - 2.3-2

How reproducible:
1/1

Steps to Reproduce:
1. Get a containerized cluster up having dmcrypt + collocated osds 
2. Reboot an osd node


Actual results:
containers are not getting created after node reboot

Expected results:
OSDs must come up after node reboot
Comment 2 seb 2017-06-26 08:27:09 EDT
Also discovered that recently. The fix won't be easy, working on it.
Comment 3 seb 2017-06-29 04:50:49 EDT
Upstream PR: https://github.com/ceph/ceph-ansible/pull/1627

Note You need to log in before you can comment on or make changes to this bug.